PEARL Procedures rev-distro-1.6.0-0-gcf1399e-dirty Igor procedures for the analysis of PEARL data

- Main Page
- Related Pages
- Packages
- Namespaces
- Files

- File List
- Globals

Functions
pearl-tools.ipf File Reference
`#include "pearl-gui-tools"`

Go to the source code of this file.

## Functions
variable | DefaultWaveIterator (wave w, string *sdata)
variable | AppendToGraphIterator (wave w, string *sdata)
variable | SumWavesIterator (wave w, string *sdata)
string | IterateWaves (string matchStr, funcref iterator, string sdata)
variable | DefaultFolderIterator (dfref df, string *sdata)
string | IterateDataFolders (string matchStr, funcref iterator, string sdata, string progress_title=defaultValue)

## Function Documentation

variable AppendToGraphIterator | ( | wave | w,
|  | string * | sdata
| ) |  |

Definition at line 26 of file pearl-tools.ipf.

variable DefaultFolderIterator | ( | dfref | df,
|  | string * | sdata
| ) |  |

Definition at line 65 of file pearl-tools.ipf.

variable DefaultWaveIterator | ( | wave | w,
|  | string * | sdata
| ) |  |

Definition at line 18 of file pearl-tools.ipf.

string IterateDataFolders | ( | string | matchStr,
|  | funcref | iterator,
|  | string | sdata,
|  | string | progress_title = `defaultValue`
| ) |  |

Definition at line 79 of file pearl-tools.ipf.

string IterateWaves | ( | string | matchStr,
|  | funcref | iterator,
|  | string | sdata
| ) |  |

Definition at line 45 of file pearl-tools.ipf.

variable SumWavesIterator | ( | wave | w,
|  | string * | sdata
| ) |  |

Definition at line 34 of file pearl-tools.ipf.